/**
 * MIL-STD 1553B Library - Carlo Gavazzi Space
 *
 * Filename             : \file MilDef.h
 *
 * Purposes             : \brief MIL-STD 1553B Library - Carlo Gavazzi Space
 *
 * Logical Task         :
 *
 * Author               : CGSpace
 *
 * Last Developer       : $Author: lorenzo $
 *
 * Revision             : $Revision: 1.3
 *
 * Checkout Tag         : $Name:  $
 *
 * Last Modification    : $Date: 2006/10/20 09:22:13 $
 *
 * Location             : $RCSfile: MilDef.h,v $
 *
 * \version             : $Header: /home/local/cvsrep/OBS_FM/1553_Lib/MilDef.h,v 1.12 2006/10/20 09:22:13 lorenzo Exp $
 */
 
/*
 * Commitments History :
 * As reported in Main cvs Documentation
 * ( https://www.cvshome.org/docs/manual/cvs-1.11.18/cvs_12.html#SEC102 )
 * The Modification Log has been posted at End Of File.
 */

// ---------------------------------------------------------------------------//
/* MilDef.h -   This is the master header file for the ACE Library. */

/*
 Purpose:   This is the master header file for the ACE Library. .
 Content:   The module contains the following constant and structure
            -

SUBHEADINGS
 Project        : HSO/FIRST BASIC S/W
 Component      : HSO/FIRST DRIVERS S/W
 Filename       : $RCSfile: MilDef.h,v $
 CI Number      :

 Revision       : Revision: 1.4 
 Company        : Carlo Gavazzi Space S.P.A.
 Author         : Andrea Bertoli
 Creation Date  : 2000/10/1
 Last ChangeDate: $Date: 2006/10/20 09:22:13 $
    
SEE ALSO: 
 ADD Ref: Inserted here reference with Architectural
            Design and Detail Document.
 Other Ref:
 Notes:
*/

#ifndef __MILDEF__
#define __MILDEF__  /* to avoid double inclusion */

// nino 10/08/2005 : possible include of this file from sources outside t he 1553 commonalities.
// nino 10/08/2005 : repeating inclusion o f conf1553.h
#include "conf1553.h"

/* include standard header */
#include <stdlib.h>



/* include Mil-std 1553 B header */
#include "MilErr.h"
#include "MilConf.h"
#include "MilIrq.h"
#include "MilInit.h"
#include "Milmem.h"
#include "MilRt.h"

#include "NODE1.h"

#if OBSCODE == HIFI_CODE
	#include "tmtc_if.h"
	#include	"MM_21020.h"
#elif OBSCODE == SPIRE_CODE

#elif OBSCODE == PACS_CODE
	#include	"MM_21020.h"
#endif


/* the standard memory allocation routine can be changed here */
#define MilMalloc(pw_MilConf, size) malloc(size)
/* the standard memory free routine can be changed here */
#define MilFree(pw_MilConf, ptr) free(ptr)



/* Last modified by PACS & HIFI (26/09/2005) */
#if OBSCODE == HIFI_CODE

#define MilMemCpy(pw_MilConf,src,dest,size) adicpy(dest,src,size)  /* size,words */

#elif OBSCODE == SPIRE_CODE
// nino 27/04/2006 - Strangely I saw schito do it

// nino 31/03/2006 - adicpy
// // nino 06/05/2005 : redirect to nincpy.
// extern unsigned int nincpy (unsigned int * dst, unsigned int * src, unsigned int len);
// #define MilMemCpy(pw_MilConf,src,dest,size) nincpy(dest,src,size)  /* size,words */

#define MilMemCpy(pw_MilConf,src,dest,size) adicpy(dest,src,size)  /* size,words */

// nino 27/04/2006 - Strangely I saw schito do it

#elif OBSCODE == PACS_CODE

/* the standard memory copy routine can be changed here */
#define MilMemCpy(pw_MilConf,src,dest,size) adicpy(dest,src,size)  /* size,words */

#endif

#ifndef TRUE
    #define TRUE        1
#endif

#ifndef FALSE
    #define FALSE       0
#endif

#define ON              1
#define OFF             0


#endif /* __MILDEF__ */
// ---------------------------------------------------------------------------//
/*
 modification history
 --------------------
 $Log: MilDef.h,v $
 Revision 1.12  2006/10/20 09:22:13  lorenzo
 1553 library updated

 Revision 1.14  2006/06/07 11:44:55  scige
 Some More Comment
 by Scige John Liu IFSI

 Revision 1.13  2006/04/27 10:21:44  scige
 Some more Comment alignement before STRONG COMMENTING

 Revision 1.12  2006/03/21 15:41:08  daniele
 Daniele Schito: Fixed some includes order

 Revision 1.11  2006/02/15 14:56:56  scige
 Abstract comment reformatted
 History log replaced or moved at end of file

 Revision 1.10  2006/02/15 14:34:03  scige
 Some more comments restored

 Revision 1.3  2005/09/16 13:09:38  scige
 *** empty log message ***

 Revision 1.1  2005/08/10 12:53:38  scige
 Communication Library: 1553
 com1553
 Base Common Version of Spire/Pacs OBS

 */
